Bug 118025

Summary: [CSS Grid Layout] CSSParser should reject <track-list> without a <track-size>
Product: WebKit Reporter: Ryosuke Niwa <rniwa>
Component: CSSAssignee: Sergio Villar Senin <svillar>
Status: RESOLVED FIXED    
Severity: Normal CC: allan.jensen, andersca, bdakin, commit-queue, dino, eric.carlson, esprehn+autocc, glenn, gyuyoung.kim, hyatt, jchaffraix, jer.noble, kling, koivisto, macpherson, menard, simon.fraser, svillar, thorton
Priority: P2 Keywords: BlinkMergeCandidate
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 118255    
Bug Blocks:    
Attachments:
Description Flags
Patch kling: review+

Description Ryosuke Niwa 2013-06-25 21:10:05 PDT
Consider merging https://chromium.googlesource.com/chromium/blink/+/486ed9f6fb9e9d72509c94a173092ac6370c35da

The case of <track-list> without a <track-size> was properly handled
but that's because style resolution had to account for the parsing
being not totally right.

This refactoring will help with implementing parsing for
<repeat-function> as the code matches the specification more closely.
Comment 1 Sergio Villar Senin 2013-11-06 09:42:21 PST
Created attachment 216186 [details]
Patch
Comment 2 Andreas Kling 2013-11-07 01:42:30 PST
Comment on attachment 216186 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=216186&action=review

r=me with a tiny improvement:

> Source/WebCore/css/CSSParser.cpp:5029
> +        values->append(name);

values->append(name.release());
Comment 3 Sergio Villar Senin 2013-11-07 02:51:28 PST
Committed r158839: <http://trac.webkit.org/changeset/158839>